View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
18110Bug reportsPluginspublic2022-06-07 12:06
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version5.3.x 
Summary18110: Uanble to get empty help in question attributes
Description

When have an empty text in advanced attributes : get a strange message

Steps To Reproduce

Steps to reproduce

Import https://dl.sondages.pro/addScriptToQuestion.zip in plugins,
Activate
Look at any question attribute

Expected result

No help

Actual result

help with strange message

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build) 5.3.14
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database type & versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 17945 resolvedDenisChenu Unclear about Expression manager forced in atribute 
related to 18111 resolvedDenisChenu Deprecated feature : no HTML in attribute help 
related to 18112 resolvedDenisChenu Deprecated feature : no need click to have help + help before input for question attribute 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2022-05-16 18:31

developer  

DenisChenu

DenisChenu

2022-05-30 18:18

developer   ~70111

https://github.com/LimeSurvey/LimeSurvey/pull/2421

DenisChenu

DenisChenu

2022-05-30 18:24

developer   ~70115

Review here,
Other related to test

DenisChenu

DenisChenu

2022-05-31 09:36

developer   ~70119

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33541

LimeBot

LimeBot

2022-06-07 12:06

administrator   ~70262

Fixed in Release 5.3.19+220607

Related Changesets

LimeSurvey: master c28e7d06

2022-05-31 09:35:59

DenisChenu


Committer: GitHub Details Diff
Fixed issue 18110: Unable to get empty help in question attributes (#2421) Affected Issues
18110
mod - application/extensions/AdvancedSettingWidget/AdvancedSettingWidget.php Diff File
mod - application/extensions/AdvancedSettingWidget/views/buttongroup.php Diff File
mod - application/extensions/AdvancedSettingWidget/views/columns.php Diff File
mod - application/extensions/AdvancedSettingWidget/views/integer.php Diff File
mod - application/extensions/AdvancedSettingWidget/views/layout.php Diff File
mod - application/extensions/AdvancedSettingWidget/views/singleselect.php Diff File
mod - application/extensions/AdvancedSettingWidget/views/switch.php Diff File
mod - application/extensions/AdvancedSettingWidget/views/text.php Diff File
mod - application/extensions/AdvancedSettingWidget/views/textarea.php Diff File
mod - application/extensions/GeneralOptionWidget/GeneralOptionWidget.php Diff File
mod - application/extensions/GeneralOptionWidget/views/buttongroup.php Diff File
mod - application/extensions/GeneralOptionWidget/views/layout.php Diff File
mod - application/extensions/GeneralOptionWidget/views/questiongroup.php Diff File
mod - application/extensions/GeneralOptionWidget/views/questiontheme.php Diff File
mod - application/extensions/GeneralOptionWidget/views/switch.php Diff File
mod - application/extensions/GeneralOptionWidget/views/text.php Diff File
mod - application/extensions/GeneralOptionWidget/views/textarea.php Diff File
mod - tests/functional/backend/SaveQuestionAttributesTest.php Diff File

Issue History

Date Modified Username Field Change
2022-05-16 18:31 DenisChenu New Issue
2022-05-16 18:31 DenisChenu File Added: Capture d’écran du 2022-05-16 18-04-40.png
2022-05-16 18:41 DenisChenu Assigned To => DenisChenu
2022-05-16 18:41 DenisChenu Status new => assigned
2022-05-30 18:17 DenisChenu Relationship added related to 17945
2022-05-30 18:18 DenisChenu Assigned To DenisChenu =>
2022-05-30 18:18 DenisChenu Status assigned => ready for code review
2022-05-30 18:18 DenisChenu Note Added: 70111
2022-05-30 18:18 DenisChenu Bug heat 0 => 2
2022-05-30 18:18 DenisChenu Relationship added related to 18111
2022-05-30 18:19 DenisChenu Relationship added related to 18112
2022-05-30 18:23 DenisChenu Relationship added related to 18164
2022-05-30 18:24 DenisChenu Note Added: 70115
2022-05-31 09:36 DenisChenu Changeset attached => LimeSurvey master c28e7d06
2022-05-31 09:36 DenisChenu Note Added: 70119
2022-05-31 09:36 DenisChenu Assigned To => DenisChenu
2022-05-31 09:36 DenisChenu Resolution open => fixed
2022-05-31 09:36 c_schmitz Status ready for code review => resolved
2022-05-31 09:39 c_schmitz Relationship deleted related to 18164
2022-06-07 12:06 LimeBot Note Added: 70262
2022-06-07 12:06 LimeBot Status resolved => closed
2022-06-07 12:06 LimeBot Bug heat 2 => 4